Subject: bug#19432: backtrace for errors that occur inside process sentinels

From: Stefan Monnier <[email-masked]>
Date: Mon, 22 Dec 2014 23:15:43 -0500

> Please provide a way to get backtraces for errors that occur inside
> process sentinels.

(setq debug-on-error t) works for me:

   emacs -Q --eval '(setq debug-on-error t)'                          \
            --eval '(let ((proc (start-process "foo" nil "true")))    \
                      (set-process-sentinel proc (lambda (&rest args) \
                                                   (+ args 2))))'

brings up a *Backtrace* buffer just fine.

        Stefan